import PropTypes from "prop-types";
import Card from "@components/base/card";
import styles from "./styles.module.css";

const BlogLists = ({ title, description, blogs }) => {
  return (
    <div className={styles["blog-container"]}>
      <h2 className={styles.title}>{title}</h2>
      <p className={styles.description}>{description}</p>
      <div className={styles.row}>
        {blogs.map((blogData, i) => (
          <div key={i} className={styles.col}>
            <Card {...blogData} />
          </div>
        ))}
      </div>
    </div>
  );
};

BlogLists.propTypes = {
  title: PropTypes.string,
  description: PropTypes.string,
  blogs: PropTypes.array,
};

export default BlogLists;
